Projects
Remove an imported repository from project
Remove an imported repository from the project. Required permissions: ChangeProjectSettings
DELETE
/
api
/
projects
/
v1
/
projects
/
{projectId}
/
repositories
/
{repositoryId}
Remove an imported repository from project
curl --request DELETE \
--url https://mycluster.domino.tech/api/projects/v1/projects/{projectId}/repositories/{repositoryId} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/projects/v1/projects/{projectId}/repositories/{repositoryId}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/projects/v1/projects/{projectId}/repositories/{repositoryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>"
},
"success": true
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
nucleus_DominoApiKeynucleus_BearerAuthentication
Path Parameters
ID of the project to remove goal from
ID of the repository to remove
Last modified on August 18, 2026
Related topics
Add an imported git repository to this projectGet all imported git repositories in this projectResolve a git reference to a commit SHA for an imported repositoryGit-based ProjectsWas this page helpful?
⌘I
Remove an imported repository from project
